'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default(sequelize, DataTypes) {
  return sequelize.define('DicRole', {
    name: {
      type: DataTypes.STRING(100),
      allowNull: false,
      primaryKey: true,
      comment: 'Role Name'
    },
    description: {
      type: DataTypes.STRING(100),
      defaultValue: '',
      comment: 'Role Description'
    }
  }, {
    tableName: 'dic_role',
    comment: 'Role Dic Table'
  });
}

module.exports = exports.default;