'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default(sequelize, DataTypes) {
  return sequelize.define('QRCode', {
    id: {
      type: DataTypes.STRING(24),
      primaryKey: true,
      allowNull: false,
      comment: 'QRCode Id'
    },
    user_id: {
      type: DataTypes.BIGINT.UNSIGNED,
      allowNull: false,
      comment: 'User Id'
    }
  }, {
    tableName: 'qrcode',
    comment: 'QRCode Table'
  });
}

module.exports = exports.default;