'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default(sequelize, DataTypes) {
  return sequelize.define('Recovery', {
    user_id: {
      type: DataTypes.BIGINT.UNSIGNED,
      allowNull: false,
      comment: 'User Id'
    },
    token: {
      type: DataTypes.STRING,
      allowNull: false,
      comment: 'Recovery Token'
    }
  }, {
    tableName: 'recovery',
    comment: 'Account Recovery Table',
    indexes: [{
      fields: ['user_id']
    }]
  });
}

module.exports = exports.default;